| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
intl.h File Reference

## Classes

struct | wxLanguageInfo
| Encapsulates a wxLanguage identifier together with OS-specific information related to that language. More...
class | wxLocale
| wxLocale class encapsulates all language-dependent settings and is a generalization of the C locale concept. More...

## Enumerations

enum | wxLayoutDirection { wxLayout_Default, wxLayout_LeftToRight, wxLayout_RightToLeft }
| This is the layout direction stored in wxLanguageInfo and returned by wxApp::GetLayoutDirection(), wxWindow::GetLayoutDirection(), wxDC::GetLayoutDirection() for RTL (right-to-left) languages support. More...
enum | wxLocaleCategory { wxLOCALE_CAT_NUMBER, wxLOCALE_CAT_DATE, wxLOCALE_CAT_MONEY, wxLOCALE_CAT_DEFAULT }
| The category of locale settings. More...
enum | wxLocaleInfo { wxLOCALE_THOUSANDS_SEP, wxLOCALE_DECIMAL_POINT, wxLOCALE_SHORT_DATE_FMT, wxLOCALE_LONG_DATE_FMT, wxLOCALE_DATE_TIME_FMT, wxLOCALE_TIME_FMT }
| The values understood by wxLocale::GetInfo(). More...

## Enumeration Type Documentation

enum wxLayoutDirection

This is the layout direction stored in wxLanguageInfo and returned by wxApp::GetLayoutDirection(), wxWindow::GetLayoutDirection(), wxDC::GetLayoutDirection() for RTL (right-to-left) languages support.

Enumerator:

  wxLayout_Default |
  wxLayout_LeftToRight |
  wxLayout_RightToLeft |

enum wxLocaleCategory

The category of locale settings.

See Also
  wxLocale::GetInfo()

Enumerator:

  wxLOCALE_CAT_NUMBER | Number formatting.
  wxLOCALE_CAT_DATE | Date/time formatting.
  wxLOCALE_CAT_MONEY | Monetary values formatting.

  wxLOCALE_CAT_DEFAULT

  Default category for the wxLocaleInfo value.

  This category can be used for values which only make sense for a single category, e.g. wxLOCALE_SHORT_DATE_FMT which can only be used with wxLOCALE_CAT_DATE. As this is the default value of the second parameter of wxLocale::GetInfo(), wxLOCALE_CAT_DATE can be omitted when asking for wxLOCALE_SHORT_DATE_FMT value.
  Since
    2.9.0

enum wxLocaleInfo

The values understood by wxLocale::GetInfo().

Note that for the `wxLOCALE_*_FMT` constants (the date and time formats), the strings returned by wxLocale::GetInfo() use strftime() or, equivalently, wxDateTime::Format() format. If the relevant format couldn't be determined, an empty string is returned – there is no fallback value so that the application could determine the best course of actions itself in such case.

All of these values are used with `wxLOCALE_CAT_DATE` in wxLocale::GetInfo() or, more typically, with `wxLOCALE_CAT_DEFAULT` as they only apply to a single category.

Enumerator:

  wxLOCALE_THOUSANDS_SEP | The thousands separator. This value can be used with either wxLOCALE_CAT_NUMBER or wxLOCALE_CAT_MONEY categories.
  wxLOCALE_DECIMAL_POINT | The character used as decimal point. This value can be used with either wxLOCALE_CAT_NUMBER or wxLOCALE_CAT_MONEY categories.

  wxLOCALE_SHORT_DATE_FMT

  Short date format.

  Notice that short and long date formats may be the same under POSIX systems currently but may, and typically are, different under MSW or OS X.
  Since
    2.9.0

  wxLOCALE_LONG_DATE_FMT

  Long date format.
  Since
    2.9.0

  wxLOCALE_DATE_TIME_FMT

  Date and time format.
  Since
    2.9.0

  wxLOCALE_TIME_FMT

  Time format.
  Since
    2.9.0